# PhasicFlow: src/phasicFlow/containers/List/List/List.hpp File Reference
PhasicFlow is an open-source parallel DEM (discrete element method) package for simulating granular flow. It is developed in C++ and can be exectued on both GPU (like CUDA) and CPU.

List.hpp File Reference
Include dependency graph for List.hpp:
This graph shows which files directly or indirectly include this file:

Go to the source code of this file.

## Classes

class | List< T >

## Namespaces

| pFlow

## Typedefs

using | int64List = List< int64 >
using | int32List = List< int32 >
using | int8List = List< int8 >
using | uint64List = List< uint64 >
using | uint32List = List< uint32 >
using | realList = List< real >
using | realx3List = List< realx3 >
using | realx3x3List = List< realx3x3 >
using | boolList = List< bool >
using | wordList = List< word >

## Functions

template<typename T >
iOstream & | operator<< (iOstream &os, const List< T > &lst)
template<typename T >
iIstream & | operator>> (iIstream &is, List< T > &lst)